import * as web3 from '@solana/web3.js';
import { Creator } from '../types/Creator';
export declare type SavePrimaryMetadataCreatorsInstructionArgs = {
    primaryMetadataCreatorsBump: number;
    creators: Creator[];
};
export declare type SavePrimaryMetadataCreatorsInstructionAccounts = {
    admin: web3.PublicKey;
    metadata: web3.PublicKey;
    primaryMetadataCreators: web3.PublicKey;
};
export declare function createSavePrimaryMetadataCreatorsInstruction(accounts: SavePrimaryMetadataCreatorsInstructionAccounts, args: SavePrimaryMetadataCreatorsInstructionArgs): web3.TransactionInstruction;
