import test from 'tape';
import { PayerTransactionHandler } from '@metaplex-foundation/amman';
import { Connection, Keypair, PublicKey } from '@solana/web3.js';
declare type InitSellingResourceParams = {
    test: test.Test;
    transactionHandler: PayerTransactionHandler;
    payer: Keypair;
    connection: Connection;
    store: PublicKey;
    maxSupply: number | null;
};
export declare const initSellingResource: ({ test, transactionHandler, payer, connection, store, maxSupply, }: InitSellingResourceParams) => Promise<{
    sellingResource: Keypair;
    vault: Keypair;
    vaultOwner: PublicKey;
    vaultOwnerBump: number;
    resourceMint: Keypair;
    metadata: PublicKey;
    primaryMetadataCreators: PublicKey[];
}>;
export {};
