import { PayerTransactionHandler } from '@metaplex-foundation/amman';
import { Connection, Keypair, PublicKey, TransactionInstruction } from '@solana/web3.js';
import { Creator } from '../../src';
declare type CreateSecondaryMetadataCreatorsParams = {
    transactionHandler: PayerTransactionHandler;
    payer: Keypair;
    connection: Connection;
    metadata: PublicKey;
    creators: Creator[];
};
export declare const createSavePrimaryMetadataCreators: ({ payer, metadata, creators, }: CreateSecondaryMetadataCreatorsParams) => Promise<{
    savePrimaryMetadataCreatorsInstruction: TransactionInstruction;
    primaryMetadataCreators: PublicKey;
}>;
export {};
