import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare type ChangeMarketInstructionArgs = {
    newName: beet.COption<string>;
    newDescription: beet.COption<string>;
    mutable: beet.COption<boolean>;
    newPrice: beet.COption<beet.bignum>;
    newPiecesInOneWallet: beet.COption<beet.bignum>;
};
export declare type ChangeMarketInstructionAccounts = {
    market: web3.PublicKey;
    owner: web3.PublicKey;
    clock: web3.PublicKey;
};
export declare function createChangeMarketInstruction(accounts: ChangeMarketInstructionAccounts, args: ChangeMarketInstructionArgs): web3.TransactionInstruction;
