import * as web3 from '@solana/web3.js';
export declare type ClaimResourceInstructionArgs = {
    vaultOwnerBump: number;
};
export declare type ClaimResourceInstructionAccounts = {
    market: web3.PublicKey;
    treasuryHolder: web3.PublicKey;
    sellingResource: web3.PublicKey;
    sellingResourceOwner: web3.PublicKey;
    vault: web3.PublicKey;
    metadata: web3.PublicKey;
    owner: web3.PublicKey;
    destination: web3.PublicKey;
    clock: web3.PublicKey;
    tokenMetadataProgram: web3.PublicKey;
};
export declare function createClaimResourceInstruction(accounts: ClaimResourceInstructionAccounts, args: ClaimResourceInstructionArgs): web3.TransactionInstruction;
