import * as web3 from '@solana/web3.js';
export declare type CreateStoreInstructionArgs = {
    name: string;
    description: string;
};
export declare type CreateStoreInstructionAccounts = {
    admin: web3.PublicKey;
    store: web3.PublicKey;
};
export declare function createCreateStoreInstruction(accounts: CreateStoreInstructionAccounts, args: CreateStoreInstructionArgs): web3.TransactionInstruction;
