import { Connection, Keypair } from '@solana/web3.js';
import { TransactionHandler } from '@metaplex-foundation/amman';
import { VerifyCollectionInstructionAccounts } from '@metaplex-foundation/mpl-token-metadata';
declare type Params = Omit<VerifyCollectionInstructionAccounts, 'payer'> & {
    transactionHandler: TransactionHandler;
    connection: Connection;
    payer: Keypair;
};
export declare function verifyCollection({ transactionHandler, connection, payer, ...params }: Params): Promise<void>;
export {};
