import { Connection, Keypair, PublicKey, Transaction } from '@solana/web3.js';
interface ClaimResourceParams {
    payer: Keypair;
    connection: Connection;
    market: PublicKey;
    treasuryHolder: PublicKey;
    sellingResource: PublicKey;
    vault: PublicKey;
    metadata: PublicKey;
    destination: PublicKey;
    vaultOwnerBump: number;
    owner: PublicKey;
}
export declare const createClaimResourceTransaction: ({ payer, connection, market, treasuryHolder, sellingResource, vault, metadata, destination, vaultOwnerBump, owner, }: ClaimResourceParams) => Promise<Transaction>;
export {};
