import { Connection, Keypair, PublicKey, Transaction } from '@solana/web3.js';
interface WithdrawParams {
    payer: Keypair;
    connection: Connection;
    market: PublicKey;
    payoutTicket: PublicKey;
    destination: PublicKey;
    treasuryMint: PublicKey;
    treasuryHolder: PublicKey;
    metadata: PublicKey;
    sellingResource: PublicKey;
    payoutTicketBump: number;
    treasuryOwnerBump: number;
    treasuryOwner: PublicKey;
    primaryMetadataCreators: PublicKey[];
}
export declare const createWithdrawTransaction: ({ payer, connection, market, payoutTicket, destination, treasuryMint, treasuryHolder, metadata, sellingResource, treasuryOwnerBump, payoutTicketBump, treasuryOwner, primaryMetadataCreators, }: WithdrawParams) => Promise<Transaction>;
export {};
